%define module      Email-Date
%define name        perl-%{module}
%define version     1.10.3
%define up_version  1.103
%define release     %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Find and Format Date Headers
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Email/%{module}-%{up_version}.tar.gz
BuildRequires:  perl(Time::Piece)
BuildRequires:  perl(Email::Abstract)
BuildRequires:  perl(Email::Date::Format)
BuildRequires:  perl(Date::Parse)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
RFC 2822 defines the Date: header. It declares the header a required part of an
email message. The syntax for date headers is clearly laid out. Stil, even a
perfectly planned world has storms. The truth is, many programs get it wrong.
Very wrong. Or, they don't include a Date: header at all. This often forces you
to look elsewhere for the date, and hoping to find something.

For this reason, the tedious process of looking for a valid date has been
encapsulated in this software. Further, the process of creating RFC compliant
date strings is also found in this software.

%prep
%setup -q -n %{module}-%{up_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*




%changelog
* Mon Aug 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.3-1mdv2009.0
+ Revision: 270912
- new version

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.10.2-3mdv2009.0
+ Revision: 223663
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.10.2-2mdv2008.1
+ Revision: 180393
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.2-1mdv2008.0
+ Revision: 48062
- update to new version 1.102


* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.1-1mdv2007.0
+ Revision: 111316
- fix build dependencies
- Import perl-Email-Date

* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.1-1mdv2007.1
- first mdv release

